package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student):
 */
public class Student {

	/**  */
	private Integer userId;
	
	/**  */
	private String subjectIdList;

	private Integer serviceTag;

	private Integer operatingTag;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public Student(Integer userId, String subjectIdList) {
		this.userId = userId;
		this.subjectIdList = subjectIdList;
	}

	public Student(Integer userId) {
		this.userId = userId;
	}

	public Student() {
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setSubjectIdList(String subjectIdList){
		this.subjectIdList = subjectIdList;
	}
	
	public String getSubjectIdList(){
		return this.subjectIdList;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}


	public Integer getServiceTag() {
		return serviceTag;
	}

	public void setServiceTag(Integer serviceTag) {
		this.serviceTag = serviceTag;
	}

	public Integer getOperatingTag() {
		return operatingTag;
	}

	public void setOperatingTag(Integer operatingTag) {
		this.operatingTag = operatingTag;
	}
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
